package com.miya.iot.demo

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.util.Log
import android.widget.Button
import android.widget.Toast

class MainActivity : AppCompatActivity() {
    lateinit var mPrinter: IPrinter

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        mPrinter = MyPrinter()

        mPrinter.printCode()
        findViewById<Button>(R.id.btn).setOnClickListener {
            Log.d("qqq",mPrinter.getPrintName()+" ")
            Toast.makeText(this,mPrinter.getPrintName(),Toast.LENGTH_SHORT).show()
        }

    }

}